// ID:编号, EggName:蛋名, HammerId:锤子ID, HammerCount:所需锤子数量, IntegralId:奖励积分Id, IntegralCount:奖励积分数量

export default class M_ActivitySmashEggCFG {
  private static data =
      {"1":{"ID":1,"EggName":"金蛋","HammerId":217,"HammerCount":10,"IntegralId":218,"IntegralCount":10}

      ,"2":{"ID":2,"EggName":"银弹","HammerId":217,"HammerCount":5,"IntegralId":218,"IntegralCount":5}

      ,"3":{"ID":3,"EggName":"铜蛋","HammerId":217,"HammerCount":1,"IntegralId":218,"IntegralCount":1}

      }// ID:编号, EggName:蛋名, HammerId:锤子ID, HammerCount:所需锤子数量, IntegralId:奖励积分Id, IntegralCount:奖励积分数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}